Index: Source/Python/Classes/ControlFile.py
===================================================================
--- Source/Python/Classes/ControlFile.py	(revision da66c8923d9ff9c269352de95b54fe960ed05ab6)
+++ Source/Python/Classes/ControlFile.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -23,5 +23,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Classes/EcFlexpart.py
===================================================================
--- Source/Python/Classes/EcFlexpart.py	(revision 53d3b2a98458bb896f69efe86b1267b7879b7612)
+++ Source/Python/Classes/EcFlexpart.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -39,5 +39,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Classes/GribUtil.py
===================================================================
--- Source/Python/Classes/GribUtil.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Classes/GribUtil.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -13,5 +13,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Classes/MarsRetrieval.py
===================================================================
--- Source/Python/Classes/MarsRetrieval.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Classes/MarsRetrieval.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -20,5 +20,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Classes/UioFiles.py
===================================================================
--- Source/Python/Classes/UioFiles.py	(revision d9abaac218cba1d37a790e022f19ce3b2ddde82c)
+++ Source/Python/Classes/UioFiles.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -23,5 +23,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Classes/__init__.py
===================================================================
--- Source/Python/Classes/__init__.py	(revision None)
+++ Source/Python/Classes/__init__.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -7,8 +7,13 @@
 #
 # @License:
-#    (C) Copyright 2015-2018.
+#    (C) Copyright 2014-2020.
+#    Anne Philipp, Leopold Haimberger
 #
-#    This software is licensed under the terms of the Apache Licence Version 2.0
-#    which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
 #
 #*******************************************************************************
Index: Source/Python/Mods/__init__.py
===================================================================
--- Source/Python/Mods/__init__.py	(revision None)
+++ Source/Python/Mods/__init__.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -7,8 +7,13 @@
 #
 # @License:
-#    (C) Copyright 2015-2018.
+#    (C) Copyright 2014-2020.
+#    Anne Philipp, Leopold Haimberger
 #
-#    This software is licensed under the terms of the Apache Licence Version 2.0
-#    which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
 #
 #*******************************************************************************
Index: Source/Python/Mods/checks.py
===================================================================
--- Source/Python/Mods/checks.py	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
+++ Source/Python/Mods/checks.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -9,5 +9,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Mods/disaggregation.py
===================================================================
--- Source/Python/Mods/disaggregation.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/disaggregation.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -20,5 +20,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Mods/get_mars_data.py
===================================================================
--- Source/Python/Mods/get_mars_data.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/get_mars_data.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -26,5 +26,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Mods/prepare_flexpart.py
===================================================================
--- Source/Python/Mods/prepare_flexpart.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/prepare_flexpart.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -29,5 +29,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/Mods/profiling.py
===================================================================
--- Source/Python/Mods/profiling.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/profiling.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -12,5 +12,5 @@
 #
 # @License:
-#    (C) Copyright 2018.
+#    (C) Copyright 2020.
 #
 #    This software is licensed under the terms of the Apache Licence Version 2.0
Index: Source/Python/Mods/tools.py
===================================================================
--- Source/Python/Mods/tools.py	(revision d1bfa247a8f3e942f37f92ed1ecacc13220fa8c8)
+++ Source/Python/Mods/tools.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -24,5 +24,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/__init__.py
===================================================================
--- Source/Python/__init__.py	(revision None)
+++ Source/Python/__init__.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -7,8 +7,13 @@
 #
 # @License:
-#    (C) Copyright 2015-2018.
+#    (C) Copyright 2014-2020.
+#    Anne Philipp, Leopold Haimberger
 #
-#    This software is licensed under the terms of the Apache Licence Version 2.0
-#    which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
 #
 #*******************************************************************************
Index: Source/Python/_config.py
===================================================================
--- Source/Python/_config.py	(revision 0422cad1292225de29dcd16602742cef003aaccd)
+++ Source/Python/_config.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -9,5 +9,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/_config.py~
===================================================================
--- Source/Python/_config.py~	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
+++ Source/Python/_config.py~	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -0,0 +1,120 @@
+#!/usr/bin/env python3
+# -*- coding: utf-8 -*-
+#*******************************************************************************
+# @Author: Anne Philipp (University of Vienna)
+#
+# @Date: August 2018
+#
+# @Change History:
+#
+# @License:
+#    (C) Copyright 2014-2019.
+#    Anne Philipp, Leopold Haimberger
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#*******************************************************************************
+'''Configurations for flex_extract.
+
+Defines a couple of global constant parameters as well as filenames
+and pathes.
+'''
+# ------------------------------------------------------------------------------
+# MODULES
+# ------------------------------------------------------------------------------
+import os
+import sys
+import inspect
+import platform
+
+# ------------------------------------------------------------------------------
+# PARAMETERS
+# ------------------------------------------------------------------------------
+
+_VERSION_STR = '7.1'
+
+FLAG_ON_ECMWFSERVER = 'ecgb' in platform.node()
+
+QUEUES_LIST = ['ecgate', 'cca', 'ccb']
+
+INSTALL_TARGETS = ['local', 'ecgate', 'cca', 'ccb']
+
+CDS_DATASET = 'reanalysis-era5-complete'
+
+# up-to-date available maximum level numbers at ECMWF, 05.10.2018
+MAX_LEVEL_LIST = [16, 19, 31, 40, 50, 60, 62, 91, 137]
+
+# ------------------------------------------------------------------------------
+# FILENAMES
+# ------------------------------------------------------------------------------
+
+FILE_MARS_REQUESTS = 'mars_requests.csv'
+FORTRAN_EXECUTABLE = 'calc_etadot'
+TEMPFILE_USER_ENVVARS = 'ECMWF_ENV.template'
+FILE_USER_ENVVARS = 'ECMWF_ENV'
+TEMPFILE_INSTALL_COMPILEJOB = 'compilejob.template'
+FILE_INSTALL_COMPILEJOB = 'compilejob.ksh'
+TEMPFILE_INSTALL_JOB = 'job.template'
+TEMPFILE_JOB = 'job.temp'
+FILE_JOB_OD = 'job.ksh'
+FILE_JOB_OP = 'jopoper.ksh'
+TEMPFILE_NAMELIST = 'convert.nl'
+FILE_NAMELIST = 'fort.4'
+FILE_GRIB_INDEX = 'date_time_stepRange.idx'
+FILE_GRIBTABLE = 'ecmwf_grib1_table_128'
+
+# ------------------------------------------------------------------------------
+# DIRECTORY NAMES
+# ------------------------------------------------------------------------------
+
+FLEXEXTRACT_DIRNAME = 'flex_extract_v' + _VERSION_STR
+INPUT_DIRNAME_DEFAULT = 'Workspace'
+
+# ------------------------------------------------------------------------------
+#  PATHES
+# ------------------------------------------------------------------------------
+
+# path to the local python source files
+# first thing to get because the submitted python script starts in here
+PATH_LOCAL_PYTHON = os.path.dirname(os.path.abspath(
+    inspect.getfile(inspect.currentframe())))
+# add path to pythonpath
+if PATH_LOCAL_PYTHON not in sys.path:
+    sys.path.append(PATH_LOCAL_PYTHON)
+PATH_FLEXEXTRACT_DIR = os.path.normpath(os.path.dirname(os.path.abspath(
+    inspect.getfile(inspect.currentframe()))) + '/../../')
+PATH_RUN_DIR = os.path.join(PATH_FLEXEXTRACT_DIR, 'Run')
+PATH_SOURCES = os.path.join(PATH_FLEXEXTRACT_DIR, 'Source')
+PATH_TEMPLATES = os.path.join(PATH_FLEXEXTRACT_DIR, 'Templates')
+PATH_ECMWF_ENV = os.path.join(PATH_RUN_DIR, FILE_USER_ENVVARS)
+PATH_GRIBTABLE = os.path.join(PATH_TEMPLATES, FILE_GRIBTABLE)
+PATH_JOBSCRIPTS = os.path.join(PATH_RUN_DIR, 'Jobscripts')
+PATH_FORTRAN_SRC = os.path.join(PATH_SOURCES, 'Fortran')
+PATH_PYTHONTEST_SRC = os.path.join(PATH_SOURCES, 'Pythontest')
+PATH_INPUT_DIR = os.path.join(PATH_RUN_DIR, INPUT_DIRNAME_DEFAULT)
+PATH_TEST = os.path.join(PATH_FLEXEXTRACT_DIR, 'Testing')
+if os.getenv('CONTROL'):
+    # this is only needed if (gateway) version with job script is used!
+    # because job is directly submitted from SCRATCH and because the
+    # CONTROL file is stored there, the normal path is not valid.
+    PATH_CONTROLFILES = '.'
+else:
+    PATH_CONTROLFILES = os.path.join(PATH_RUN_DIR, 'Control')
+#
+# ------------------------------------------------------------------------------
+# RELATIVE PATHES FOR INSTALLATION TAR-BALL
+# ------------------------------------------------------------------------------
+
+PATH_REL_PYTHON_SRC = os.path.relpath(PATH_LOCAL_PYTHON, PATH_FLEXEXTRACT_DIR)
+PATH_REL_PYTHONTEST_SRC = os.path.relpath(PATH_PYTHONTEST_SRC, PATH_FLEXEXTRACT_DIR)
+PATH_REL_CONTROLFILES = os.path.relpath(PATH_CONTROLFILES, PATH_FLEXEXTRACT_DIR)
+PATH_REL_TEMPLATES = os.path.relpath(PATH_TEMPLATES, PATH_FLEXEXTRACT_DIR)
+PATH_REL_ECMWF_ENV = os.path.relpath(PATH_ECMWF_ENV, PATH_FLEXEXTRACT_DIR)
+PATH_REL_RUN_DIR = os.path.relpath(PATH_RUN_DIR, PATH_FLEXEXTRACT_DIR)
+PATH_REL_JOBSCRIPTS = os.path.relpath(PATH_JOBSCRIPTS, PATH_FLEXEXTRACT_DIR)
+PATH_REL_FORTRAN_SRC = os.path.relpath(PATH_FORTRAN_SRC, PATH_FLEXEXTRACT_DIR)
+PATH_REL_TEST = os.path.relpath(PATH_TEST, PATH_FLEXEXTRACT_DIR)
Index: Source/Python/install.py
===================================================================
--- Source/Python/install.py	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
+++ Source/Python/install.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -19,5 +19,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
Index: Source/Python/submit.py
===================================================================
--- Source/Python/submit.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/submit.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
@@ -23,5 +23,5 @@
 #
 # @License:
-#    (C) Copyright 2014-2019.
+#    (C) Copyright 2014-2020.
 #    Anne Philipp, Leopold Haimberger
 #
